Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RegistryProfileType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryProfileTypeImpl

    public interface RegistryProfileType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Profile Type'.

The following features are supported:

- `Optional Features Supported`
- `Version`

See Also:
  `RegistryPackage.getRegistryProfileType()`

Method Summary
`OptionalFeaturesSupportedType` | `getOptionalFeaturesSupported()` Returns the value of the 'Optional Features Supported' containment reference.
`java.lang.String` | `getVersion()` Returns the value of the 'Version' attribute.
`void` | `setOptionalFeaturesSupported(OptionalFeaturesSupportedType value)` Sets the value of the '`Optional Features Supported`' containment reference.
`void` | `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOptionalFeaturesSupported

    OptionalFeaturesSupportedType getOptionalFeaturesSupported()

  Returns the value of the 'Optional Features Supported' containment reference.

  If the meaning of the 'Optional Features Supported' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Optional Features Supported' containment reference.
  See Also:
    `setOptionalFeaturesSupported(OptionalFeaturesSupportedType)`, `RegistryPackage.getRegistryProfileType_OptionalFeaturesSupported()`

### setOptionalFeaturesSupported

    void setOptionalFeaturesSupported(OptionalFeaturesSupportedType value)

  Sets the value of the '`Optional Features Supported`' containment reference.

  Parameters:
    `value` - the new value of the 'Optional Features Supported' containment reference.
  See Also:
    `getOptionalFeaturesSupported()`

### getVersion

    java.lang.String getVersion()

  Returns the value of the 'Version' attribute.

  If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version' attribute.
  See Also:
    `setVersion(String)`, `RegistryPackage.getRegistryProfileType_Version()`

### setVersion

    void setVersion(java.lang.String value)

  Sets the value of the '`Version`' attribute.

  Parameters:
    `value` - the new value of the 'Version' attribute.
  See Also:
    `getVersion()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD